3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $x = 5; $y = 3; $z = 0; $z = $x - $y; if ($z < 2) {echo 'z is less than 2' . $z;} else {echo 'z is not less than 2' . $z;} echo <<<END <p> Hello </p> END; ?>
Output for 4.3.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
z is not less than 22 <p> Hello </p>